﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Target_System : MonoBehaviour {
	
	//a list that records enemies transform as soon as they spawn
	public List<Transform> enemyTransforms; 
	//var used as index for the list
	int index;
	
	//locked ship 
	Transform lockedShip;
	
	//trigger for targeting system. turns off when targeted object dies
	public bool trackingOn = false;
	
	// Use this for initialization
	void Start () {
		lockedShip = transform;
		enemyTransforms = new List<Transform>();
		index = 0;
	}
	
	// Update is called once per frame
	void Update () {
		
		//triggers targeting system on and off. maybe firing code shoud be only in on script only
		if(Input.GetKeyDown("t"))
		{
			
			trackingOn = !trackingOn;
			Debug.Log("Targeting triggered: " + trackingOn);
			//restores targetLock position to original
		}
		
		//checks if targeting system is triggered
		if(trackingOn)
		{
			if(Input.GetButtonDown("Fire2"))
			{
				//start tracking locked ship
				lockedShip =  enemyTransforms[index];
				
				//next click of Fire2 locks next ship
				index++;
				if(index >= enemyTransforms.Count)
				{
					index = 0;
				}
			}
			if(lockedShip)
			{
				//track the locked ship's position
				transform.position = lockedShip.position;				
			}
			else
			{	
				//if targeted ship is destroyed, lock next ship in list
				//trackingOn = false;
				if(enemyTransforms.Count<=0){trackingOn = false;}
				else {lockedShip =  enemyTransforms[index];}
			}

			
			//if targeting system is on, shoot only missiles
			if(Input.GetButtonDown("Fire1"))
			{
				//some misile firing code goes here
			}
		}
		else
		{
			transform.position = new Vector3(0f,-2f,0f) ;
		}
		
		
	}
}
