﻿using UnityEngine;
using System.Collections;

public class ships_Behaviour : MonoBehaviour {
	
	//a reference to the TargetLock system(object)
	GameObject TargetLock;
		
	//number of times this ship was hit by some object(presumably only pellet wil hit it)
	int hits;
	
	//the maximum health of a ship
	public int maxHealth;
	
	// Use this for initialization
	void Start () {
		//get a reference to the TargetLock object
		TargetLock = GameObject.Find("TargetLock");
		//get the script component of the object,
		//and access the enemyTransforms list to add this enemy to it
		TargetLock.GetComponent<Target_System>().enemyTransforms.Add(transform);
	}
	
	void OnCollisionEnter(Collision collision)
	{
		//if hit by pellet, add +1 to this variable that stores the number of hits
		hits++;
		//kill the pellet from this script.
		if(collision.gameObject.tag == "pellet")
			Destroy(collision.gameObject);
		//if this ship was hit too many times, it dies
		if(hits>=maxHealth)
		{
			Destroy(gameObject);
		}
	}
	
	// Update is called once per frame
	void Update () {
	
	}
	
	void OnDestroy() {
		//deletes itself from the list of enemy ships to be targeted
		TargetLock.GetComponent<Target_System>().enemyTransforms.Remove(transform);
		
        print("Script was destroyed");
    }
}
